#!/bin/bash
# This is the shutdown script for ThinNetwork called from userful-systray.
# Since we have very tight deadline, this is developed
# in HURRY mode.. No internationalization.
# Bug 8530

mode=$1

if [ "$mode" == "--poweroff" ]; then
    title="Desligar"
    msg="Esta função desligará o computador e qualquer sessão ativa será fechada sem aviso. Você quer continuar?"
elif [ "$mode" == "--reboot" ]; then
    title="Reiniciar"
    msg="Esta função reiniciará o computador e qualquer sessão ativa será fechada sem aviso. Você quer continuar?"
fi

zenity --question --title="$title" --text="$msg"
ret=$?
if [ $ret != 0 ]; then
    exit 0
fi

if [ "$mode" == "--poweroff" ]; then
    shutdown -h now
else
    shutdown -r now
fi
